Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.visitor
Interface Visitable

All Known Subinterfaces:
  Customer, Customer_, GoodCustomer, OWLAllDifferent, OWLAllValuesFrom, OWLAnonymousClass, OWLCardinality, OWLCardinalityBase, OWLClass, OWLComplementClass, OWLDataRange, OWLDatatypeProperty, OWLEnumeratedClass, OWLExistentialRestriction, OWLHasValue, OWLIndividual, OWLIntersectionClass, OWLLogicalClass, OWLMaxCardinality, OWLMinCardinality, OWLNamedClass, OWLNAryLogicalClass, OWLObjectProperty, OWLOntology, OWLProperty, OWLQuantifierRestriction, OWLRestriction, OWLSomeValuesFrom, OWLUnionClass, Product, Purchase, RDFExternalResource, RDFIndividual, RDFList, RDFObject, RDFProperty, RDFResource, RDFSClass, RDFSDatatype, RDFSLiteral, RDFSNamedClass, RDFUntypedResource, SWRLAtom, SWRLAtomList, SWRLBuiltin, SWRLBuiltinAtom, SWRLClassAtom, SWRLDataRangeAtom, SWRLDatavaluedPropertyAtom, SWRLDifferentIndividualsAtom, SWRLImp, SWRLIndividual, SWRLIndividualPropertyAtom, SWRLIndividualsAtom, SWRLSameIndividualAtom, SWRLVariable, TestPerson, VeryGoodCustomer

All Known Implementing Classes:
  AbstractCodeGeneratorIndividual, AbstractOWLAnonymousClass, AbstractOWLCardinalityBase, AbstractOWLLogicalClass, AbstractOWLNAryLogicalClass, AbstractOWLProperty, AbstractOWLQuantifierRestriction, AbstractOWLRestriction, AbstractRDFSClass, AbstractSWRLIndividual, AbstractSWRLIndividualsAtom, DefaultCustomer, DefaultCustomer_, DefaultGoodCustomer, DefaultOWLAllDifferent, DefaultOWLAllValuesFrom, DefaultOWLCardinality, DefaultOWLComplementClass, DefaultOWLDataRange, DefaultOWLDatatypeProperty, DefaultOWLEnumeratedClass, DefaultOWLHasValue, DefaultOWLIndividual, DefaultOWLIntersectionClass, DefaultOWLMaxCardinality, DefaultOWLMinCardinality, DefaultOWLNamedClass, DefaultOWLObjectProperty, DefaultOWLOntology, DefaultOWLSomeValuesFrom, DefaultOWLUnionClass, DefaultProduct, DefaultPurchase, DefaultRDFExternalResource, DefaultRDFIndividual, DefaultRDFList, DefaultRDFProperty, DefaultRDFSDatatype, DefaultRDFSLiteral, DefaultRDFSNamedClass, DefaultRDFUntypedResource, DefaultSWRLAtom, DefaultSWRLAtomList, DefaultSWRLBuiltin, DefaultSWRLBuiltinAtom, DefaultSWRLClassAtom, DefaultSWRLDataRangeAtom, DefaultSWRLDatavaluedPropertyAtom, DefaultSWRLDifferentIndividualsAtom, DefaultSWRLImp, DefaultSWRLIndividualPropertyAtom, DefaultSWRLSameIndividualAtom, DefaultSWRLVariable, DefaultTestPerson, DefaultVeryGoodCustomer

    public interface Visitable

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jan 8, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Method Summary
`void` | `accept(OWLModelVisitor visitor)` This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern.

Method Detail

### accept

    void accept(OWLModelVisitor visitor)

  This method is provided to be used with the `OWLModelVisitor`, which is part of the visitor design pattern. By implementing this method, instances of the implementing class are stating that they can accept an `OWLModelVisitor`

  Parameters:
    `visitor` - The visitor that will operate on this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.